> ## Documentation Index
> Fetch the complete documentation index at: https://felix.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create batch execution

> Execute a workflow multiple times with different inputs in a single request.
Returns immediately with execution IDs for each item.




## OpenAPI

````yaml /openapi.yaml post /workflows/{workflowId}/executions/batch
openapi: 3.0.3
info:
  title: Felix API
  description: >
    Programmatic access to Felix workflows.


    Felix lets you describe workflows in natural language and get automation
    that works.

    Use this API to create, manage, and execute workflows programmatically.


    ## Limitations


    - **Request body size**: Maximum 4MB per request

    - **Rate limiting**: 100 requests per minute per API key

    - **Pagination**: List endpoints return up to 100 items per request

    - **Execution timeout**: Workflows have a maximum execution time of 15
    minutes

    - **Concurrent executions**: Maximum 10 concurrent executions per workflow
  version: 1.0.0
servers:
  - url: https://felix.so/api/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Workflows
    description: Manage workflows
  - name: Executions
    description: Run workflows and retrieve results
paths:
  /workflows/{workflowId}/executions/batch:
    post:
      tags:
        - Executions
      summary: Create batch execution
      description: >
        Execute a workflow multiple times with different inputs in a single
        request.

        Returns immediately with execution IDs for each item.
      operationId: createBatchExecution
      parameters:
        - name: workflowId
          in: path
          required: true
          description: Workflow ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  items:
                    type: object
                    additionalProperties: {}
                  minItems: 1
                  maxItems: 10000
                  description: Array of input objects for each workflow execution
                concurrency:
                  type: string
                  enum:
                    - low
                    - medium
                    - high
                  description: >-
                    Concurrency level for parallel executions. low=1, medium=5,
                    high=15. Defaults to the workflow's configured concurrency
                    level.
              required:
                - items
              additionalProperties: false
              description: Request body for batch workflow execution
      responses:
        '200':
          description: Batch execution created
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflow_id:
                    type: string
                    format: uuid
                    description: ID of the workflow being executed
                  total:
                    type: integer
                    minimum: 0
                    description: Total number of items in the batch
                  executions:
                    type: array
                    items:
                      type: object
                      properties:
                        execution_id:
                          type: string
                          format: uuid
                          description: Unique identifier for the execution
                        index:
                          type: integer
                          minimum: 0
                          description: Index of the item in the input array
                      required:
                        - execution_id
                        - index
                      additionalProperties: false
                    description: Details of each execution
                required:
                  - workflow_id
                  - total
                  - executions
                additionalProperties: false
                description: Response after batch execution request
        '401':
          description: Unauthorized - invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Human-readable error message describing what went wrong
                required:
                  - error
                additionalProperties: false
                description: Standard error response returned when an API request fails
        '404':
          description: Not found - resource doesn't exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Human-readable error message describing what went wrong
                required:
                  - error
                additionalProperties: false
                description: Standard error response returned when an API request fails
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication. Get your key from Settings → API Keys.

````